Locks

The locking feature allows the block parking lot to receive new bookings.

circle-info

The lock prevents starting or ending a new booking on a specific date.

Show locks

get

Show all the locks

Authorizations
AuthorizationstringRequired
Path parameters
parkingstring · uuidRequired

The parking uuid

Query parameters
viewstring · dateRequired

The date. Format: YYYY-MM-DD

Responses
get
/v1/parkings/{parking}/locks

No content

Add lock

post

Create a lock

Authorizations
AuthorizationstringRequired
Path parameters
parkingstring · uuidRequired

The parking uuid

Body
locked_atstring · dateRequired
Responses
post
/v1/parkings/{parking}/locks

No content

Delete lock

delete

Remove a lock

Authorizations
AuthorizationstringRequired
Path parameters
parkingstring · uuidRequired

The parking uuid

Body
locked_atstring · dateRequired
Responses
delete
/v1/parkings/{parking}/locks

No content

Last updated